using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class ScrollBarsHandler
    {
        IFWScrollBars controller;

        public ScrollBarsHandler(IFWScrollBars controller)
        {
            this.controller = controller;
        }

        public ScrollBarsHandler Scroll(int id, EnumProviderScrollBarsVertical type)
        {
            controller.VerticalScrollBy(id, type);
            return new ScrollBarsHandler(controller);
        }
    }
}
